
/*

MySlider loader

*/

;(function () {

var loadCss = function(url) {
    var link = document.createElement("link");
    link.type = "text/css";
    link.rel = "stylesheet";
    link.href = url;
    document.getElementsByTagName("head")[0].appendChild(link);
};

var conf_index = mysliderLoadOptions.length > 0 ? mysliderLoadOptions.length - 1 : 0;

//require configure
var conf = {
    baseUrl: mysliderLoadOptions[conf_index].basePath + "js/web/my_slider/js/",
    cssBaseUrl: mysliderLoadOptions[conf_index].basePath + "js/web/my_slider/css/",
    slider: mysliderLoadOptions[conf_index].slider,
    container: !!mysliderLoadOptions[conf_index].container ? mysliderLoadOptions[conf_index].container : mysliderLoadOptions[conf_index].slider,
    paths: {
        "jquery-ui": mysliderLoadOptions[conf_index].basePath + "js/web/my_slider/js/jquery-ui-1.10.3.effects.min",
        "my_slider": mysliderLoadOptions[conf_index].basePath + "js/web/my_slider/js/my_slider"
    },
    shim: {
        "jquery-ui": {
            deps: ["jquery"]
        }
    }
};

//slider load config
conf.paths[ conf.slider ] = mysliderLoadOptions[conf_index].basePath + "files/" + mysliderLoadOptions[conf_index].slider;
conf.shim[ conf.slider ] = {
    deps: ["jquery","jquery-ui","my_slider"]
};

//detect jQuery
if (!window.jQuery) {
    conf.paths.jquery = mysliderLoadOptions[conf_index].basePath + "js/web/my_slider/js/jquery-1.10.2.min";
}else{
    define("jquery", [], function() { return window.jQuery; });
}

//load style
if( conf_index == 0 ){
    loadCss( conf.cssBaseUrl + "my_slider.css" );
}

//create container
if( document.getElementById( conf.container ) == null ){
    document.write( '<div id="' + conf.container + '"></div>' );
}

//requirejs
requirejs( conf, [ "jquery" ],
    function( jQuery ) {
        
        //conf.urlArgs = "bust=" + (new Date()).getTime();
        
        requirejs( conf, [ conf.slider ],
            function( ) {
                
                jQuery( "#" + conf.container ).mySlider();
                
            }
        );
        
    }
);

})();